/*
 * Copyright 2010, 2011 mapsforge.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.mapsforge.core;

import java.util.Collection;

// TODO Rename to Graph.

/**
 * This interface represents a generic graph.
 * 
 * @author thilo ratnaweera
 * 
 */
public interface SimpleGraph {

	/**
	 * @return Returns the vertices of the graph as a collection.
	 */
	public Collection<SimpleVertex> getVertices();

	/**
	 * @return Returns the edges of the graph as a collection.
	 */
	public Collection<SimpleEdge> getEdges();
}
