/*
 * Copyright 2010, 2011 mapsforge.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.mapsforge.preprocessing.highwayHierarchies.hierarchyComputation.util.arrays;

/**
 * synchroniyed wrapper class
 */
public class BitArraySynchronized extends BitArray {

	private static final long serialVersionUID = 6283194127482992676L;

	/**
	 * @param size
	 *            of this array.
	 */
	public BitArraySynchronized(int size) {
		super(size);
	}

	@Override
	public synchronized void clear(int i) {
		super.clear(i);
	}

	@Override
	public synchronized boolean get(int i) {
		return super.get(i);
	}

	@Override
	public synchronized void set(int i) {
		super.set(i);
	}

	@Override
	public synchronized int size() {
		return super.size();
	}
}
