/*
 * Copyright 2010, 2011 mapsforge.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.mapsforge.preprocessing.highwayHierarchies.mobile;

/**
 * All constants shared between org.mapsforge.preprocessing.routing.blockedHighwayHierarchies
 * and org.mapsforge.android.routing.blockedHighwayHierarchies.
 */
public class HHGlobals {
	/**
	 * length of the binary file header
	 */
	public final static int BINARY_FILE_HEADER_LENGTH = 4096;

	/**
	 * the first bytes of the hh binary file
	 */
	public final static byte[] BINARY_FILE_HEADER_MAGIC = "#MAPSFORGE_HH_BINARY#".getBytes();

	/**
	 * length of cluster blocks section header
	 */
	public static final int CLUSTER_BLOCKS_HEADER_LENGTH = 4096;

	/**
	 * the first bytes of the cluster blocks section of the hh binary file
	 */
	public static final byte[] CLUSTER_BLOCKS_HEADER_MAGIC = "#MAPSFORGE_HH_CLUSTER_BLOCKS#"
			.getBytes();

	/**
	 * the first bytes of the rtree section
	 */
	public static final byte[] STATIC_RTREE_HEADER_MAGIC = "#MAPSFORE_HH_STATIC_RTREE#"
			.getBytes();

}
